# Generated by Django 2.2.6 on 2019-10-10 14:54

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('contenttypes', '0002_remove_content_type_name'),
    ]

    operations = [
        migrations.CreateModel(
            name='RequestEvent',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('url', models.CharField(db_index=True, max_length=254)),
                ('method', models.CharField(db_index=True, max_length=20)),
                ('query_string', models.TextField(null=True)),
                ('remote_ip', models.CharField(db_index=True, max_length=50, null=True)),
                ('datetime', models.DateTimeField(auto_now_add=True)),
                ('user', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'request event',
                'verbose_name_plural': 'request events',
                'ordering': ['-datetime'],
            },
        ),
        migrations.CreateModel(
            name='LoginEvent',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('login_type', models.SmallIntegerField(choices=[(0, 'Login'), (1, 'Logout'), (2, 'Failed login')])),
                ('username', models.CharField(blank=True, max_length=255, null=True)),
                ('remote_ip', models.CharField(db_index=True, max_length=50, null=True)),
                ('datetime', models.DateTimeField(auto_now_add=True)),
                ('user', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'login event',
                'verbose_name_plural': 'login events',
                'ordering': ['-datetime'],
            },
        ),
        migrations.CreateModel(
            name='CRUDEvent',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('event_type', models.SmallIntegerField(choices=[(1, 'Create'), (2, 'Update'), (3, 'Delete'), (4, 'Many-to-Many Change'), (5, 'Reverse Many-to-Many Change')])),
                ('object_id', models.IntegerField()),
                ('object_repr', models.TextField(blank=True, null=True)),
                ('changed_fields', models.TextField(blank=True, null=True)),
                ('user_pk_as_string', models.CharField(blank=True, help_text='String version of the user pk', max_length=255, null=True)),
                ('datetime', models.DateTimeField(auto_now_add=True)),
                ('content_type', models.ForeignKey(db_constraint=False, on_delete=django.db.models.deletion.CASCADE, to='contenttypes.ContentType')),
                ('user', models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'CRUD event',
                'verbose_name_plural': 'CRUD events',
                'ordering': ['-datetime'],
                'index_together': {('object_id', 'content_type')},
            },
        ),
    ]
